using UnityEngine;
using UnityEditor;
using System.Collections;

public class TestWindow : EditorWindow
{
	[MenuItem ("Window/My Window")]
	static void ShowWindow(){
		EditorWindow.GetWindow(typeof(TestWindow)).Show();
	}
	void OnGUI(){
		if(GUILayout.Button("CSG ADD")){
			foreach(GameObject g in Selection.gameObjects){
				Mesh oldMesh = (g.GetComponent("MeshFilter") as MeshFilter).mesh;
				Vector3[] verts = oldMesh.vertices;
				for(int i=0;i<verts.Length;i++){
					verts[i] *= Random.Range(1.05f,1.10f);
				}
				int[] tris = oldMesh.triangles;
				Vector2[] uvs = oldMesh.uv;
				//Vector3[] norms = oldMesh.normals;
				oldMesh.Clear();
				oldMesh.vertices = verts;
				oldMesh.triangles = tris;
				oldMesh.uv = uvs;
				oldMesh.RecalculateNormals();
				//oldMesh.normals = norms;
			}
		}
	}
}

